description

# Transaction class Null safety

Inheritance
  - Object
  - EventTarget
  - Transaction
Annotations
  - @Unstable()
  - @Native("IDBTransaction")

## Properties

completed → Future<Database>
  Provides a Future which will be completed once the transaction has completed. [...]
  read-only
db → Database?
  read-only
error → DomException?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
mode → String?
  read-only
objectStoreNames → List<String>?
  @Creates('DomStringList'), @Returns('DomStringList'), read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onAbort → Stream<Event>
  Stream of `abort` events handled by this Transaction.
  read-only
onComplete → Stream<Event>
  Stream of `complete` events handled by this Transaction.
  read-only
onError → Stream<Event>
  Stream of `error` events handled by this Transaction.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

abort() → void
addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
objectStore(String name) → ObjectStore
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

abortEvent → const EventStreamProvider<Event>
  Static factory designed to expose `abort` events to event handlers that are not necessarily instances of Transaction. [...]
  `const EventStreamProvider<Event>('abort')`
completeEvent → const EventStreamProvider<Event>
  Static factory designed to expose `complete` events to event handlers that are not necessarily instances of Transaction. [...]
  `const EventStreamProvider<Event>('complete')`
errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of Transaction. [...]
  `const EventStreamProvider<Event>('error')`